Update my consent
curl --request PATCH \
--url https://prod-auth.tktchurch.com/api/v1/consents/me/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"scopes": [
"<string>"
]
}
'import Foundation
let parameters = [
"client_id": "<string>",
"scopes": ["<string>"]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/consents/me/{id}")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_id: '<string>', scopes: ['<string>']})
};
fetch('https://prod-auth.tktchurch.com/api/v1/consents/me/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/consents/me/{id}"
payload = {
"client_id": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "e4f6a2c8-1d3b-4a7e-8c9d-1234567890ab",
"scopes": [
"openid",
"profile",
"family"
],
"status": "granted",
"granted_at": "2026-09-20T09:12:00Z"
}{
"error": "invalid_request",
"error_description": "Redirect URI not registered for this client"
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}{
"error": "not_found",
"error_description": "Client not found"
}Update my consent
Update my consent. Requires a Bearer access token for the signed-in user.
PATCH
/
api
/
v1
/
consents
/
me
/
{id}
Update my consent
curl --request PATCH \
--url https://prod-auth.tktchurch.com/api/v1/consents/me/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"scopes": [
"<string>"
]
}
'import Foundation
let parameters = [
"client_id": "<string>",
"scopes": ["<string>"]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/consents/me/{id}")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_id: '<string>', scopes: ['<string>']})
};
fetch('https://prod-auth.tktchurch.com/api/v1/consents/me/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/consents/me/{id}"
payload = {
"client_id": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "e4f6a2c8-1d3b-4a7e-8c9d-1234567890ab",
"scopes": [
"openid",
"profile",
"family"
],
"status": "granted",
"granted_at": "2026-09-20T09:12:00Z"
}{
"error": "invalid_request",
"error_description": "Redirect URI not registered for this client"
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}{
"error": "not_found",
"error_description": "Client not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consent id
Body
application/json
